Subject: Re: In CVS Emacs, calc-eval gives multiplication higher precidence than division

From: Carsten Dominik <[email-masked]>
Date: Mon, 8 Sep 2008 12:30:11 +0200

On Sep 7, 2008, at 10:32 PM, Randal L. Schwartz wrote:

>>>>>> "Stefan" == Stefan Monnier <[email-masked]> writes:
>
> Stefan> I think Calc is plainly wrong is giving higher precedence to  
> the
> Stefan> multiplication because it's completely non standard.  But  
> since I don't
> Stefan> use Calc much and since it's been that way for a while, I  
> won't fight
> Stefan> for it.

I would fight for the current calc implementation, it is an important  
convenience when entering equations.  I am relying on it every day.

- Carsten

>
>
> Given the original author's mathematics bias, it made sense (to me, as
> an early tester and contributor) that:
>
>   2 * 3 / 4 * 5
>
> would be parsed as
>
>   (2 * 3) / (4 * 5)
>
> in a mathematical sense.
>
> Admittedly, if you're a computer-science guy and not a math guy,  
> this might
> seem initially odd.
>
> -- 
> Randal L. Schwartz - Stonehenge Consulting Services, Inc. - +1 503  
> 777 0095
> <[email-masked]> <URL:http://www.stonehenge.com/merlyn/>
> Smalltalk/Perl/Unix consulting, Technical writing, Comedy, etc. etc.
> See http://methodsandmessages.vox.com/ for Smalltalk and Seaside  
> discussion
>
>
>